> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/it/devolutions-cloud-powershell/disable-force-sso-on-all-users-in-devolutions-cloud-using-powershell.md).

# Disabilitare Force SSO su tutti gli utenti in Devolutions Cloud tramite PowerShell

Gli amministratori di Devolutions Cloud potrebbero voler disabilitare l'opzione Force SSO su tutti gli utenti. Questa operazione può essere eseguita utilizzando un'identità applicativa e un semplice script PowerShell.

1. In Devolutions Cloud, [crei un'identità applicativa](https://docs.devolutions.net/cloud/it/web-interface/administration/management/application-identities/manage-application-identities).
2. [Assegni l'autorizzazione ***Manage system configuration***](https://docs.devolutions.net/cloud/it/web-interface/administration/configuration-and-security/system-permissions) all'identità applicativa appena creata.
3. Utilizzi il seguente script PowerShell per disabilitare l'opzione ***Force SSO on all users*** in Devolutions Cloud:

```
$url = 'YOUR_HUB_URL'
$appSecret = 'INSERT_APP_SECRET';
$appKey = 'INSERT_APP_KEY';
Connect-HubAccount -Url $url -ApplicationKey $appKey -ApplicationSecret $appSecret

$psSystemSettings = Get-HubSystemSettings
#Enable Devolutions user login method
$psSystemSettings.AllowDevolutionsAccountLogin = $true

#Optional - Disable SSO option
$psSystemSettings.AllowSSOLogin = $false

Set-HubSystemSettings -PSSystemSettings $psSystemSettings

Write-Host "Authentication method updated"
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell/it/devolutions-cloud-powershell/disable-force-sso-on-all-users-in-devolutions-cloud-using-powershell.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
